Page MenuHomePhabricator

Run reader survey in multiple languages - Bengali
Closed, ResolvedPublic

Description

TODO

  • [Florian] Fix sampling rate
  • [Nathaniel] Make sure the ID is prefilled in the surveys.

Code

'enabled' => true,
'name' => 'Reader-segmentation-3-bn-main',
'type' => 'external',
'description' => 'Reader-segmentation-1-description', // (blank)
'link' => 'Reader-segmentation-3-link', // https://docs.google.com/forms/d/e/1FAIpQLScLsLu9dwmdrD8Zrid-XbKtPs9Vw05usWa6uNMrMuGlPY98Yg/viewform?hl=bn
'question' => 'Reader-segmentation-3-message', // 
'privacyPolicy' => 'Reader-segmentation-3-privacy', //
'coverage' => 1.0, // 1 out of 1
'platforms' => [
        'desktop' => [ 'stable' ],
        'mobile' => [ 'stable' ],
],
'instanceTokenParameterName' => 'entry.901222064',

Event Timeline

leila created this task.Jun 21 2017, 6:44 AM

@Hasive will notify the Bengali community about the survey per email communication and he will let us know here once that's done.

@flemmerich we need sampling rate for Bengali.
@schana Bengali is added late. Please make sure the unique IDs are set up to be generated for this survey, too.

leila renamed this task from Run reader survey in multiple languages - Bengali to [Not Ready] Run reader survey in multiple languages - Bengali.Jun 21 2017, 6:46 AM
flemmerich updated the task description. (Show Details)Jun 21 2017, 6:54 AM

Bengali will be by far the smallest language edition we run the survey in; even with a full survey, we will probably end up with the least responses.

leila added a comment.Jun 21 2017, 8:43 AM

Thanks for the note @flemmerich.

schana updated the task description. (Show Details)Jun 21 2017, 12:12 PM
leila updated the task description. (Show Details)Jun 22 2017, 8:25 AM
leila added a comment.Jun 22 2017, 8:28 AM

@Hasive thanks for the translations of the two sentences related to the messaging of the survey. We are still missing the translation of the privacy statement, wikified and a notification to your community that the surveys will go live today (if the privacy statement is finalized in the next couple of hours). Can you help us with these two items? If you need any information from me, just let me know. (I want to make sure we don't miss Bengali Wikipedia now that you've done so much work for this survey, but please be aware that we can't turn on the survey without a privacy statement in place and all surveys will go live on 13:00 UTC today).

leila added a comment.Jun 22 2017, 8:32 AM

@schana I just noticed you didn't have access to the Bengali survey. I gave you access. Can you double-check that the setup is in place for the unique ID to be generated? I see that it's crossed off in the todo list here.

@leila I've been using the Reader-segmentation-3-link value appended with &entry.901222064=asdffor testing the parameter name. This avoids needing to go into the form editor to find the name, since it appears that the parameter names stay consistent when duplicating the forms.

leila renamed this task from [Not Ready] Run reader survey in multiple languages - Bengali to Run reader survey in multiple languages - Bengali.Jun 22 2017, 9:27 AM
leila added a comment.Jun 22 2017, 9:31 AM

@Hasive thank you for the translation of the privacy statement. Please see it at https://wikimediafoundation.org/wiki/Survey_Privacy_Statement_for_Schema_Revision_15266417/bn

The last step you should kindly take is to notify your community (in Village Pump or whatever other medium you use for communications in your community) that the survey will go out today (June 22), will be shown to everyone who goes to Bengali WP for a week, and provide this task as a reference to them. This is the text I used for enwiki if that's helpful for you: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(miscellaneous)#Notification_for_a_survey

Please confirm once you send the notification out in this task, with a link to where the communication is posted (if you can provide a link).

Thanks a lot! I'm really glad you made it. :)

leila added a comment.Jun 22 2017, 9:31 AM

@schana perfect. thanks.

And Hasive has notified the Bengali Wikipeida community. @Hasive please notify us if a conversation comes up that we should be aware of. We rely on you for this part. :)

leila moved this task from Staged to In Progress on the Research board.Jun 22 2017, 11:15 AM

Hi @leila, There is some translation mistake. some little correction needed for the translation. Please copy https://meta.wikimedia.org/wiki/User:Aftabuzzaman/sandbox & paste here. I corrected everything in the sandbox. Thanks.

@leila Oh, I forgot please add this translation at the end where it says "{{Info|'''Please note that in the......... .....'''}}

{{Info|'''দয়া করে লক্ষ্য করুন যে এই অনুবাদ ও গোপনীয়তার বিবৃতির মূল ইংরেজি সংস্করণের মধ্যে অর্থ বা ব্যাখ্যায় কোন পার্থক্য ঘটলে, মূল ইংরেজি সংস্করণকে অগ্রাধিকার দেয়া হবে।'''}}

@leila I just write about this survey in our Bengali Wikipedia discussion page. Here is the link: http://bit.ly/2sX592V
I also send a mail to our mailing list soon after showing the banner on our main page.

@Hasive the survey is now stopped. Feel free to share the following message or a modified version of it with your community. :)

This survey run for a week and it ended at around 2320 UTC on 2017-06-29. We have received more than 1300 responses from your language and we will start analyzing the results on 2017-07-03. We will update the status when more information becomes available. Thank you for working with us to make this survey happen. :)

leila closed this task as Resolved.Jun 29 2017, 11:39 PM